## r-cran-labelled 2.14.0

=== DESCRIPTION ===
Package: labelled
Type: Package
Title: Manipulating Labelled Data
Version: 2.14.0
Maintainer: Joseph Larmarange <joseph@larmarange.net>
Authors@R: c(
  person("Joseph", "Larmarange", email = "joseph@larmarange.net", role = c("aut", "cre"), comment = c(ORCID = "0000-0001-7097-700X")),
  person("Daniel", "Ludecke", role = "ctb"),
  person("Hadley", "Wickham", role = "ctb"),
  person("Michal", "Bojanowski", role = "ctb"),
  person("François", "Briatte", role = "ctb")
  )
Description: Work with labelled data imported from 'SPSS'
    or 'Stata' with 'haven' or 'foreign'. This package
    provides useful functions to deal with "haven_labelled" and
    "haven_labelled_spss" classes introduced by 'haven' package.
License: GPL (>= 3)
Encoding: UTF-8
Depends: R (>= 3.2)
Imports: haven (>= 2.4.1), cli, dplyr (>= 1.1.0), lifecycle, rlang (>=
        1.1.0), vctrs, stringr, tidyr, tidyselect
Suggests: testthat (>= 3.2.0), knitr, rmarkdown, questionr, snakecase,
        spelling
Enhances: memisc
URL: https://larmarange.github.io/labelled/,
        https://github.com/larmarange/labelled
BugReports: https://github.com/larmarange/labelled/issues
VignetteBuilder: knitr
LazyData: true
RoxygenNote: 7.3.2
Language: en-US
Config/testthat/edition: 3
Config/Needs/check: memisc
NeedsCompilation: no
Packaged: 2025-01-08 08:12:06 UTC; josep
Author: Joseph Larmarange [aut, cre] (<https://orcid.org/0000-0001-7097-700X>),
  Daniel Ludecke [ctb],
  Hadley Wickham [ctb],
  Michal Bojanowski [ctb],
  François Briatte [ctb]
Repository: CRAN
Date/Publication: 2025-01-08 08:50:02 UTC

## r-cran-labelled 2.12.0

=== debian/changelog ===
r-cran-labelled (2.12.0-2) unstable; urgency=medium

  * Source-only upload

 -- Andreas Tille <tille@debian.org>  Fri, 22 Dec 2023 09:00:54 +0100

r-cran-labelled (2.12.0-1) unstable; urgency=medium

  * Initial release (closes: #1056647)

 -- Andreas Tille <tille@debian.org>  Fri, 24 Nov 2023 11:59:18 +0100

=== debian/control ===
Source: r-cran-labelled
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-haven (>= 2.4.1),
               r-cran-dplyr,
               r-cran-lifecycle,
               r-cran-rlang,
               r-cran-vctrs,
               r-cran-stringr,
               r-cran-tidyr
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-labelled
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-labelled.git
Homepage: https://cran.r-project.org/package=labelled
Rules-Requires-Root: no

Package: r-cran-labelled
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R manipulating labelled data
 Work with labelled data imported from 'SPSS'
 or 'Stata' with 'haven' or 'foreign'. This package
 provides useful functions to deal with "haven_labelled" and
 "haven_labelled_spss" classes introduced by 'haven' package.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat,
        r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-snakecase,
        r-cran-utf8,
        r-cran-covr,
        r-cran-spelling
Restrictions: allow-stderr

## r-cran-labelled 2.13.0

=== debian/changelog ===
r-cran-labelled (2.13.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Set upstream metadata fields: Repository.

 -- Charles Plessy <plessy@debian.org>  Fri, 27 Sep 2024 16:08:18 +0900

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,9 @@
                r-cran-rlang,
                r-cran-vctrs,
                r-cran-stringr,
-               r-cran-tidyr
-Standards-Version: 4.6.2
+               r-cran-tidyr,
+               r-cran-tidyselect
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-labelled
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-labelled.git
 Homepage: https://cran.r-project.org/package=labelled

## r-cran-labelled 2.14.0

=== debian/changelog ===
r-cran-labelled (2.14.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 28 Jan 2025 13:48:27 +0900

=== debian/control ===
Source: r-cran-labelled
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-labelled
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-labelled.git
Homepage: https://cran.r-project.org/package=labelled
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-haven (>= 2.4.1),
               r-cran-cli,
               r-cran-dplyr (>= 1.1.0),
               r-cran-lifecycle,
               r-cran-rlang (>= 1.1.0),
               r-cran-vctrs,
               r-cran-stringr,
               r-cran-tidyr,
               r-cran-tidyselect
Testsuite: autopkgtest-pkg-r

Package: r-cran-labelled
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R manipulating labelled data
 Work with labelled data imported from 'SPSS'
 or 'Stata' with 'haven' or 'foreign'. This package
 provides useful functions to deal with "haven_labelled" and
 "haven_labelled_spss" classes introduced by 'haven' package.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat (>= 3.2.0),
        r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-snakecase,
        r-cran-spelling
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/labelled_([-\d.]*)\.tar\.gz

## r-cran-labelled 2.16.0

=== debian/changelog ===
r-cran-labelled (2.16.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 10 Feb 2026 13:49:02 +0900

=== debian/control ===
Source: r-cran-labelled
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-haven,
 r-cran-cli,
 r-cran-dplyr (>= 1.1.0),
 r-cran-lifecycle,
 r-cran-rlang (>= 1.1.0),
 r-cran-vctrs,
 r-cran-stringr,
 r-cran-tidyr,
 r-cran-tidyselect,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-labelled
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-labelled.git
Homepage: https://cran.r-project.org/package=labelled
Rules-Requires-Root: no

Package: r-cran-labelled
Architecture: all
Depends:
 ${R:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R manipulating labelled data
 Work with labelled data imported from 'SPSS'
 or 'Stata' with 'haven' or 'foreign'. This package
 provides useful functions to deal with "haven_labelled" and
 "haven_labelled_spss" classes introduced by 'haven' package.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-knitr,
 r-cran-rmarkdown,
 r-cran-purrr,
 r-cran-snakecase,
 r-cran-spelling,
 r-cran-survey,
 r-cran-testthat (>= 3.2.0),
